Page MenuHomePhabricator

API: Log when admin hides or unhides collection
Closed, ResolvedPublic1 Estimated Story Points

Description

A user visiting https://en.wikipedia.org/wiki/Special:Log
is able to see a record of when a user hides or unhides a collection.

In pulldown:
hiding collection
unhiding collection

In Special:Log you should see:
timestamp | hyperlinked user (talk|contribs|block) | action | hyperlinked "collection" name | author name | (action summary/comment or MediaWiki reason for action if we have a dropdown) | (admin action option) where the admin action option would be (view|restore)

Event Timeline

JKatzWMF created this task.Apr 6 2015, 11:50 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a project: Gather.
JKatzWMF added subscribers: JKatzWMF, Risker.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2015, 11:50 PM

@Risker can you confirm that this card is an adequate way to display hide/unhide admin functions in the log?

JKatzWMF set Security to None.Apr 6 2015, 11:50 PM
JKatzWMF added a subscriber: Yurik.
Risker added a comment.EditedApr 7 2015, 3:30 AM

@JKatzWMF - you've managed to confuse me already, because there are two separate types of "collection". (I've made some suggestions on the mailing list for different names that could be used.) I'm assuming you mean whatever the result is when the user does something using Extension:Gather, based on the fact that you've added Gather as the project. In any case, I would suggest mimicking the current log entries as closely as possible. I've yet to see an explanation of why it isn't in the user's namespace, like User:Risker/Gather_1, User:Risker/Gather_2, etc. - if it's intended to be personal, it probably shouldn't be in what's essentially an administrative namespace.

In any case....I would suggest the log entry be

timestamp | hyperlinked user (talk|contribs|block) | action | hyperlinked "collection" name | (action summary/comment or MediaWiki reason for action if we have a dropdown) | (admin action option) where the admin action option would be (view|restore)

Bear in mind that this doesn't cover suppression, only hiding/unhiding. Suppression would be logged in a private log.

You might want to brainstorm a bit with Fabrice, who had to (after the fact) get his team to figure out how to hide/unhide and suppress/unsuppress entries into the Article Feedback Tool back in 2012. On the other hand, I'd rather see this move out of the Special:namespace, where our normal tools (revision deletion, suppression, etc) should work fine.

The "collection" name should identify the author of the "collection", no? What is the automatic naming specification for them?

Deskana updated the task description. (Show Details)Apr 7 2015, 3:32 AM
Krenair renamed this task from API: Add event to "Logs" when admin hides or unhides collection to Log when admin hides or unhides collection.Apr 7 2015, 3:35 AM
Yurik renamed this task from Log when admin hides or unhides collection to API: Log when admin hides or unhides collection.Apr 7 2015, 3:42 AM
Krenair added a subscriber: Krenair.Apr 7 2015, 3:42 AM

Hi Risker--yes, I apologize. I am trying to refer to this as a 'Gather collection' to make it a little less confusing. The naming of Gather items as "collections" is a case where we made things harder for everyone close to the project, including WMF, in order to make it easier for the 99% of our users who are not close the project. I know it is hard, but appreciate your patience.

This looks good to me:
timestamp | hyperlinked user (talk|contribs|block) | action | hyperlinked "collection" name | (action summary/comment or MediaWiki reason for action if we have a dropdown) | (admin action option) where the admin action option would be (view|restore)

The name of a Gather collection is determined by the author but does not necessarily include the author's name. So we will need to add another field for the collection's author. I will update the description now.

Regarding namespace, I agree it is not ideal, given the content. This was another compromise that had to be made.

JKatzWMF updated the task description. (Show Details)Apr 7 2015, 5:25 AM

The naming of Gather items as "collections" is a case where we made things harder for everyone close to the project, including WMF, in order to make it easier for the 99% of our users who are not close the project. I know it is hard, but appreciate your patience.

Sorry, no. I think what you meant to say here is "An option that should not have been included in the survey was preferred by people who are only marginally likely to use the feature and, rather than fix our error, we're going to compound it by creating a situation where the tens of thousands of community members who are stuck helping new users figure out these features will be considerably less effective because *they won't know which feature the new users are talking about*." This is kind of like Ford deciding to call its new pickup truck "Fiesta" because the name tested well with consumers, despite the fact that it will cause confusion, frustration and errors all down the line. I know it isn't your mistake, you weren't in charge of the project at the time, but it's your problem to fix.

The name of a Gather collection is determined by the author but does not necessarily include the author's name. So we will need to add another field for the collection's author.

Umm...no. Change the way that these are automatically named so that they will include the author's name, no matter what. We do not need millions of unspecified pages in Special:Namespace. More importantly, the author's name is irrelevant to the logged action, and it does not need to be present in the log of actions taken with the page once it is created. Frankly, the author's name doesn't matter at all.

Regarding namespace, I agree it is not ideal, given the content. This was another compromise that had to be made.

Are you telling me that the developers assigned to this product are incapable of designing the product in such a way that it puts what is very specifically user-contributed, user-specific content anywhere other than the communal/administrative namespace? This is not a "compromise that had to be made". It's a choice to pollute a namespace with information that shouldn't be there.

Eight hours ago I said, quite honestly, that I didn't really care one way or another about this extension. Your responses have made me care, and not in a way that encourages my support.

@Risker. Thank you for your input on logs, name and name space, and I am
sorry my attempts at addressing your concerns had the opposite effect. I would
like to continue this conversation, as it is important, but the comments
section of a task about administrative logs is not the ideal place.
Ideally we can chat somewhat synchrously. I am in a bunch of meetings today
but will try to find you on Irc this afternoon. If that doesn't work for
you, just shoot me a note on Irc or one of my talk pages.

Sent from a mobile device

Jdlrobson moved this task from Needs triage to Product triage on the Gather board.Apr 8 2015, 7:10 PM
JKatzWMF moved this task from Product triage to Bug backlog on the Gather board.Apr 11 2015, 12:05 AM
Jdlrobson edited a custom field.
Jdlrobson added a subscriber: Jdlrobson.

Should be easy once T94128 is deployed Monday.

Jdlrobson edited a custom field.Apr 11 2015, 12:08 AM
Jdlrobson updated the task description. (Show Details)Apr 13 2015, 6:00 PM
Jdlrobson edited a custom field.
Jdlrobson moved this task from In Analysis to Ready for dev on the Gather Sprint Forward board.
Jdlrobson moved this task from Bug backlog to In sprint on the Gather board.Apr 16 2015, 5:36 PM
Jdlrobson moved this task from Ready for dev to In development on the Gather Sprint Forward board.

Change 204680 had a related patch set uploaded (by Jdlrobson):
Write log entries for showlist and hidelist to Special:Log

https://gerrit.wikimedia.org/r/204680

@rmoen looks like the issue here was that it would only work with CheckUser installed. Have fixed this now.

Works fine here.

Change 204680 merged by jenkins-bot:
Write log entries for showlist and hidelist to Special:Log

https://gerrit.wikimedia.org/r/204680

Jdlrobson closed this task as Resolved.Apr 28 2015, 11:01 PM

Change 251941 had a related patch set uploaded (by Filippo Giunchedi):
cassandra: additional instances for eqiad/codfw production

https://gerrit.wikimedia.org/r/251941

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 9 2015, 12:23 PM

Change 251941 merged by Filippo Giunchedi:
cassandra: additional instances for eqiad/codfw production

https://gerrit.wikimedia.org/r/251941